# Switch a Token On or Off

Switch a token of your list on or off without removing it. For the `owner`, `tenantadmin`, `non_signing_admin` and `editor` roles, on their own tenant.

## Endpoint

### `PATCH /v1/admin/tenants/{tenantId}/tokens/{tokenId}/active`

Authentication: bearer token required.

Sets a token's active status and returns the token.

**Path parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `tenantId` | string | yes | Your tenant's id |
| `tokenId` | string | yes | Token UUID |

**Request body**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `isActive` | boolean | yes | true to enable, false to disable |

**Responses**

`200` OK

```json
{
  "id": "uuid",
  "symbol": "XAUT",
  "name": "Tether Gold",
  "chain": "ethereum",
  "isTestnet": false,
  "chainId": 1,
  "decimals": 6,
  "isNative": false,
  "isActive": false,
  "address": "0x68749665FF8D2d112Fa859AA293F07A622782F38",
  "logoUri": null,
  "coingeckoId": null,
  "createdAt": "2026-10-06T09:50:21.249Z",
  "updatedAt": "2026-10-06T09:50:21.276Z"
}
```

`404` Not Found

```json
{ "error": "NotFoundError", "message": "Token not found" }
```

**Example request**

```bash
curl -X PATCH https://api.aureahub.com/v1/admin/tenants/TENANT_ID/tokens/TOKEN_ID/active \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"isActive": false}'
```

---

Web version: https://docs.aureahub.com/#admin-tokens-toggle
